Skip to main content
POST
/
v1
/
beacon
/
analyses
Create a beacon analysis
curl --request POST \
  --url https://api.alpic.ai/v1/beacon/analyses \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "targetUrl": "<string>",
  "teamId": "<string>",
  "projectId": "<string>"
}
'
{
  "id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer token for authentication. Use an API key from the API Keys page in team settings, or an OAuth access token.

Body

application/json
targetUrl
string<uri>
required

The HTTPS URL of the MCP server to analyze

teamId
string

The team ID to associate the analysis with

projectId
string

The project ID to associate the analysis with

Response

The analysis has been created

id
string
required